+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 12 of 12
  1. #11
    Full Member
    Using
    AutoCAD 2010
    Join Date
    Apr 2011
    Posts
    88

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by BIGAL View Post
    Time for you to have a go look at code above and work out where these fit Hpscale & Patternscale

    Code:
    ; Property values:
    ;   Application (RO) = #<VLA-OBJECT IAcadApplication 0000000140063f10>
    ;   Area (RO) = 15363.3
    ;   AssociativeHatch = 0
    ;   BackgroundColor = #<VLA-OBJECT IAcadAcCmColor 00000000461cfb70>
    ;   Document (RO) = #<VLA-OBJECT IAcadDocument 000000002a5d4ee8>
    ;   Elevation = 0.0
    ;   EntityTransparency = "ByLayer"
    ;   GradientAngle = 0.0
    ;   GradientCentered = -1
    ;   GradientColor1 = #<VLA-OBJECT IAcadAcCmColor 00000000461d0230>
    ;   GradientColor2 = #<VLA-OBJECT IAcadAcCmColor 00000000461d2750>
    ;   GradientName = "LINEAR"
    ;   Handle (RO) = "12B52"
    ;   HasExtensionDictionary (RO) = 0
    ;   HatchObjectType = 0
    ;   HatchStyle = 1
    ;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 00000000461d1fd8>
    ;   ISOPenWidth = 100
    ;   Layer = "DEFAULT"
    ;   Linetype = "ByLayer"
    ;   LinetypeScale = 1.0
    ;   Lineweight = -1
    ;   Material = "ByLayer"
    ;   Normal = (0.0 0.0 1.0)
    ;   NumberOfLoops (RO) = 1
    ;   ObjectID (RO) = 42
    ;   ObjectName (RO) = "AcDbHatch"
    ;   Origin = (0.0 0.0)
    ;   OwnerID (RO) = 43
    ;   PatternAngle = 0.0
    ;   PatternDouble = 0
    ;   PatternName (RO) = "ANSI31"
    ;   PatternScale = 1.0
    ;   PatternSpace = 1.0
    ;   PatternType (RO) = 1
    ;   PlotStyleName = "ByLayer"
    ;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 00000000461d3050>
    ;   Visible = -1

    Yeah I have no clue where they would fit in it haha my lisp knowledge is too basic. I just know how to do little things. I'm still trying to learn the whole coding thing. I will try to work with what you gave me thank you

  2. #12
    Quantum Mechanic
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,398

    Default

    Registered forum members do not see this ad.

    Here is a hint (setvar 'hpname (vla-get-PatternName obj)) have a look at the two words I posted add the line and change. If your looking for something else as well then look at the dump to find its name which can be different to its variable name. hpname=Pattername.
    A man who never made mistakes never made anything

Similar Threads

  1. Hatch cannot match properties
    By wimal in forum AutoCAD General
    Replies: 2
    Last Post: 9th Sep 2017, 10:21 am
  2. prevents the master drawing inherit styles of xrefs?
    By samifox in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 15th Mar 2017, 12:42 pm
  3. Preset HATCH properties?
    By Daniel C in forum AutoCAD Beginners' Area
    Replies: 1
    Last Post: 4th Oct 2012, 04:28 pm
  4. inherit property
    By Dipali in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 4
    Last Post: 4th Dec 2008, 09:19 pm
  5. Insert block & inherit layer from snap point?
    By martymoose in forum AutoLISP, Visual LISP & DCL
    Replies: 4
    Last Post: 18th Nov 2008, 06:30 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts